<?php
/**
 * Plugin Name:       Invoice Payment Option
 * Plugin URI:        https://woocommerce.com/products/invoice-payment-option/
 * Description:       Create an invoice payment method to let customers place order without making payment at checkout.
 * Version:           1.1.0
 * Author:            Addify
 * Developed By:      Addify
 * Author URI:        https://woocommerce.com/vendor/addify/
 * Support:           https://woocommerce.com/vendor/addify/
 * Domain Path:       /languages
 * TextDomain : af_ig_td
 * License:           GNU General Public License v3.0
 * License URI:       http://www.gnu.org/licenses/gpl-3.0.html
 * WC requires at least: 3.0.9
 * WC tested up to: 9.*.*
 *
 * @package : addify-invoice-gateway
/**
 * Define class.
 * Woo: 18734004271584:1b617a1b00969ec94203cf9c5265f3c9

 */
if ( ! defined( 'ABSPATH' ) ) {
	die;
}
// Check the installation of WooCommerce module if it is not a multi site.

/**
 * Class Af_Ig_Main start.
 */
class Af_Ig_Main_Free {
	public function __construct() {
		$this->Af_ig_global_constents_vars();
		add_filter( 'woocommerce_payment_gateways', array( $this, 'af_ig_creat_object_gateway' ) );
		// add_action( 'wp_loaded', array( $this, 'af_if_include_gateway_class' ) );
		add_action( 'plugins_loaded', array( $this, 'af_if_include_gateway_class' ) );

		add_action( 'wp_loaded', array( $this, 'af_ig_lang_load' ) );
		add_action('woocommerce_blocks_loaded', array( $this, 'af_ig_register_blocks' ));

		// HOPS compatibility.
		add_action( 'before_woocommerce_init', array( $this, 'af_igf_HOPS_Compatibility' ) );
	}

	public function af_igf_HOPS_Compatibility() {

		if ( class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class ) ) {
			\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
		}
	}
	
	public function af_if_include_gateway_class() {

		if ( ! is_multisite() && ! in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

		add_action( 'admin_notices', array( $this, 'afig_admin_notice_free' ));
	   
		
		} else {
			include_once AF_IG_PLUGIN_FREE_DIR . 'af-ig-class-payment-invoice.php';
		} 
	}
	public function afig_admin_notice_free() {

		deactivate_plugins( __FILE__ );
		$af_ig_woo_check = '<div id="message" class="error">
		<p><strong>' . __( 'Invoice Payment Optionplugin is inactive. WooCommerce plugin must be active in order to activate it.', 'af_ig_td' ) . '</p></div>';
		echo wp_kses_post( $af_ig_woo_check );
		
	//  return false;
	}

	
	public function af_ig_creat_object_gateway( $methods ) {
			$methods[] = 'Af_Ig_Pyament_Custom_Invoice'; 
			return $methods;
	}

	public function af_ig_register_blocks() {

		if ( ! class_exists( 'Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType' ) ) {
			return;
		}

		
		require_once AF_IG_PLUGIN_FREE_DIR . 'blocks-compatibility/class-af-ig-invoice-blocks-integration.php';
		
		add_action(
			'woocommerce_blocks_payment_method_type_registration',
			function ( Automattic\WooCommerce\Blocks\Payments\PaymentMethodRegistry $payment_method_registry ) {
			$payment_method_registry->register( new Af_Ig_Invoice_Integration() );
			}
		);
	}

	public function Af_ig_global_constents_vars() { 
		if ( ! defined( 'AF_IG_URL' ) ) {
			define( 'AF_IG_URL', plugin_dir_url( __FILE__ ) );
		}
		if ( ! defined( 'AF_IG_BASENAME' ) ) {
			define( 'AF_IG_BASENAME', plugin_basename( __FILE__ ) );
		}
		if ( ! defined( 'AF_IG_PLUGIN_FREE_DIR' ) ) {
			define( 'AF_IG_PLUGIN_FREE_DIR', plugin_dir_path( __FILE__ ) );
		}
	}
	public function af_ig_lang_load() { 
		if ( function_exists( 'load_plugin_textdomain' ) ) {
			load_plugin_textdomain( 'af_ig_td', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
		}
	}
}
if ( class_exists( 'Af_Ig_Main_Free' ) ) {
	new Af_Ig_Main_Free();
}
