<?php
// Exit if accessed directly
if (post_password_required()) {
    return;
}
?>

<div id="listing-reviews" class="listing-reviews overview-sec">
    <div class="car-det-heading">
        <h3 class="car-det-head">Consumer Reviews</h3>
        <div class="heading-divider"></div>
    </div>

    <?php if (have_comments()) : ?>
        <div class="widget-rating mb-30 mt-30">
            <div class="icon-star">
                <i class="fas fa-star"></i>
            </div>
            <div class="number">
                <?php echo number_format(get_average_rating()); // Custom function for rating ?>
            </div>
            <div class="content">
                <p class="text-color-2">Overall Rating</p>
                <p class="text-color-2">Based on <span class="fw-6"><?php echo get_comments_number(); ?> Reviews</span></p>
            </div>
        </div>

        <div class="flat-tabs mb-60">
            <div class="content-tab">
                <div class="content-inner tab-content">
                    <div class="wrap-review pd-0">
                        <div class="titles mb-30">
                            <h4><?php echo get_comments_number(); ?> Rating and Reviews</h4>
                        </div>
                        <div class="comment-list">
                            <ol class="commentlist">
                                <?php
                                wp_list_comments(array(
                                    'style'       => 'ol',
                                    'short_ping'  => true,
                                    'avatar_size' => 60,
                                    'callback'    => 'custom_comment_template', // Custom callback
                                ));
                                ?>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <?php comment_form(); ?>
</div>

<?php
// Function to calculate average rating
function get_average_rating()
{
    $comments = get_comments(array('post_id' => get_the_ID()));
    $rating = 0;
    $count = 0;

    foreach ($comments as $comment) {
        $rating += (int)get_comment_meta($comment->comment_ID, 'rating', true);
        $count++;
    }

    return $count ? $rating / $count : 0;
}

// Callback function for custom comment layout
function custom_comment_template($comment, $args, $depth)
{
    $rating = get_comment_meta($comment->comment_ID, 'rating', true); ?>
    <li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
        <div class="comment-list-wrap">
            <div class="images flex-none">
                <?php echo get_avatar($comment, 60); ?>
            </div>
            <div class="content">
                <h5><?php comment_author(); ?></h5>
                <div class="icon-star text-color-3 fs-12">
                    <?php for ($i = 1; $i <= 5; $i++) {
                        echo $i <= $rating ? '<i class="fas fa-star"></i>' : '<i class="far fa-star"></i>';
                    } ?>
                </div>
                <p class="fs-12 lh-16 font"><?php echo get_comment_date('F j, Y'); ?></p>
                <p class="texts text-color-2"><?php comment_text(); ?></p>
            </div>
        </div>
    </li>
<?php }
?>
