<?php

function options() {
   acf_add_options_page();
}
add_action('init', 'options');

add_theme_support( 'post-thumbnails' );

register_nav_menus(
    array('primary-menu'=>'Top Menu')
);


add_action( 'after_setup_theme', 'setup_woocommerce_support' );

 function setup_woocommerce_support()
{
  add_theme_support('woocommerce');
}
function theme_enqueue_scripts() {
    // Check if WooCommerce is active
    if ( class_exists( 'WooCommerce' ) ) {
        wp_enqueue_script( 'jquery' ); // Ensure jQuery is loaded
        // Other necessary scripts can be added here
    }
}
add_action( 'wp_enqueue_scripts', 'theme_enqueue_scripts' );

// function keep_cart_always_empty() {
//     if (WC()->cart->get_cart_contents_count() > 1) {
//         WC()->cart->empty_cart();
//     }
// }
// add_action('template_redirect', 'keep_cart_always_empty', 1);






function wc_format_sale_percentage( $regular_price, $sale_price ) {
    if ( ! $regular_price || ! $sale_price ) {
        return '';
    }
    
    $percentage = round( ( ( $regular_price - $sale_price ) / $regular_price ) * 100 );
    return $percentage; // This will return the sale percentage.
}

// Update the cart count dynamically
add_filter( 'woocommerce_add_to_cart_fragments', 'custom_cart_count_fragments' );
function custom_cart_count_fragments( $fragments ) {
    // Get the updated cart count
    $cart_count = WC()->cart->get_cart_contents_count();
    
    // Create fragment for cart count
    $fragments['.count-value'] = '<span class="count count-value">' . $cart_count . '</span>';
    
    return $fragments;
}



add_filter('woocommerce_get_cart_url', 'fix_cart_url');
function fix_cart_url($url) {
    $cart_page_id = wc_get_page_id('cart');
    $cart_url = get_permalink($cart_page_id);
    return $cart_url;
}


function replace_numeric_rating_with_stars( $rating_html, $product_id ) {
    $average_rating = get_post_meta( $product_id, '_wc_average_rating', true );
    $rating_count = get_post_meta( $product_id, '_wc_rating_count', true );

    if ( $average_rating && $rating_count ) {
        $rating_html = '<span class="rating-stars">';
        for ( $i = 1; $i <= 5; $i++ ) {
            if ( $i <= $average_rating ) {
                $rating_html .= '<span class="star-filled">★</span>';
            } else {
                $rating_html .= '<span class="star-empty">★</span>';
            }
        }
        $rating_html .= '</span>';
    }

    return $rating_html;
}
add_filter( 'woocommerce_template_single_rating', 'replace_numeric_rating_with_stars', 10, 2 );


// // Add custom terms and conditions checkbox
// add_action('woocommerce_review_order_before_submit', 'custom_checkout_terms_and_conditions', 20);
// function custom_checkout_terms_and_conditions() {
//     echo '<div class="form-row custom-terms">';
//     woocommerce_form_field('custom_terms', array(
//         'type'      => 'checkbox',
//         'class'     => array('form-row terms'),
//         'label'     => __('I have read and agree to the <a href="'.get_permalink(get_option('woocommerce_terms_page_id')).'" target="_blank">terms and conditions</a>'),
//         'required'  => true,
//     ));
//     echo '</div>';
// }

// // Validate custom terms and conditions
// add_action('woocommerce_checkout_process', 'custom_terms_and_conditions_validation');
// function custom_terms_and_conditions_validation() {
//     if ( ! isset( $_POST['custom_terms'] ) ) {
//         wc_add_notice(__('You must accept the terms and conditions to proceed.'), 'error');
//     }
// }

// // Save the checkbox value (optional, only if you want to save it in order meta)
// add_action('woocommerce_checkout_update_order_meta', 'custom_terms_order_meta');
// function custom_terms_order_meta( $order_id ) {
//     if ( isset( $_POST['custom_terms'] ) ) {
//         update_post_meta( $order_id, 'custom_terms', 'yes' );
//     }
// }

function enqueue_wishlist_count_script() {
    wp_enqueue_script( 'wishlist-count-update', get_template_directory_uri() . '/js/wishlist-count-update.js', array( 'jquery' ), '1.0', true );
    wp_localize_script( 'wishlist-count-update', 'wishlistCountParams', array(
        'ajax_url' => admin_url( 'admin-ajax.php' ),
    ));
}
add_action( 'wp_enqueue_scripts', 'enqueue_wishlist_count_script' );

function yith_wcwl_update_wishlist_count() {
    echo yith_wcwl_count_all_products();
    wp_die();
}
add_action('wp_ajax_yith_wcwl_update_wishlist_count', 'yith_wcwl_update_wishlist_count');
add_action('wp_ajax_nopriv_yith_wcwl_update_wishlist_count', 'yith_wcwl_update_wishlist_count');


function add_slick_slider_assets() {
    // Add Slick Slider CSS
    wp_enqueue_style( 'slick-css', 'https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css' );
    wp_enqueue_style( 'slick-theme-css', 'https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick-theme.css' );

    // Add Slick Slider JS
    wp_enqueue_script( 'slick-js', 'https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js', array('jquery'), '', true );
}

add_action( 'wp_enqueue_scripts', 'add_slick_slider_assets' );


function filter_products_by_custom_taxonomies($query) {
    if (!is_admin() && $query->is_main_query() && (is_shop() || is_product_taxonomy() || is_product_category())) {
        $tax_query = array();
        $meta_query = array();

        // Taxonomy filters
        $taxonomy_filters = [
            'car_condition' => 'car_condition',
            'car_brand' => 'car_brand',
            'sitter' => 'sitter',
            'car_year' => 'car_year',
            'car_milieage' => 'car_milieage',
            'body_type' => 'body_type',
        ];

        foreach ($taxonomy_filters as $query_param => $taxonomy) {
            if (!empty($_GET[$query_param])) {
                $tax_query[] = array(
                    'taxonomy' => $taxonomy,
                    'field'    => 'slug',
                    'terms'    => sanitize_text_field($_GET[$query_param]),
                );
            }
        }

        // Price range filter
        if (!empty($_GET['price_range'])) {
            $price_range = explode('-', sanitize_text_field($_GET['price_range']));
            if (count($price_range) == 2) {
                $meta_query[] = array(
                    'key' => '_price',
                    'value' => array(floatval($price_range[0]), floatval($price_range[1])),
                    'compare' => 'BETWEEN',
                    'type' => 'NUMERIC',
                );
            }
        }

        // Apply the tax_query if there are filters
        if (!empty($tax_query)) {
            $query->set('tax_query', $tax_query);
        }

        // Apply the meta_query if there are filters
        if (!empty($meta_query)) {
            $query->set('meta_query', $meta_query);
        }
    }
}
add_action('pre_get_posts', 'filter_products_by_custom_taxonomies');


// Add the custom select box to the order admin page
add_action('woocommerce_admin_order_data_after_order_details', 'add_custom_order_select_box');
function add_custom_order_select_box($order) {
    $custom_field_value = get_post_meta($order->get_id(), '_custom_select_box', true);
    ?>
    <div class="form-field form-field-wide">
        <label for="custom_select_box"><?php _e('Tracking', 'textdomain'); ?></label>
        <select id="custom_select_box" name="custom_select_box">
            <option value="Order Placed" <?php selected($custom_field_value, 'Order Placed'); ?>>Order Placed</option>
            <option value="Processed" <?php selected($custom_field_value, 'Processed'); ?>>Processed</option>
            <option value="Shipped" <?php selected($custom_field_value, 'Shipped'); ?>>Shipped</option>
            <option value="Out for Delivery" <?php selected($custom_field_value, 'Out for Delivery'); ?>>Out for Delivery</option>
            <option value="Delivered" <?php selected($custom_field_value, 'Delivered'); ?>>Delivered</option>
        </select>
    </div>
    <?php
}

// Save the custom field value
add_action('woocommerce_process_shop_order_meta', 'save_custom_order_select_box');
function save_custom_order_select_box($order_id) {
    if (isset($_POST['custom_select_box'])) {
        update_post_meta($order_id, '_custom_select_box', sanitize_text_field($_POST['custom_select_box']));
    }
}


// Display the custom field value in the order details in My Account
add_action('woocommerce_order_details_after_order_table', 'display_custom_order_select_box_in_account', 10, 1);
function display_custom_order_select_box_in_account($order) {
    $custom_field_value = get_post_meta($order->get_id(), '_custom_select_box', true);
    if (!empty($custom_field_value)) {
        ?>
        <style>
            .stepper {
    display: flex;
    align-items: center;
}

.step {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.circle {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #ddd;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}

.label {
    font-size: 14px;
    color: #333;
}

.line {
    width: 50px;
    height: 4px;
    background-color: #ddd;
}

.completed .circle {
    background-color: #4caf50;
}

.completed .line {
    background-color: #4caf50;
}
        </style>
        <div class="stepper">
        <div class="step completed">
            <div class="circle">1</div>
            <div class="label">Order Placed</div>
        </div>
        <div class="line"></div>
        <div class="step <?php if($custom_field_value == 'Processed' || $custom_field_value == 'Shipped' || $custom_field_value == 'Out for Delivery' || $custom_field_value == 'Delivered'){ echo 'completed'; } ?>">
            <div class="circle">2</div>
            <div class="label">Processed</div>
        </div>
        <div class="line"></div>
        <div class="step <?php if($custom_field_value == 'Shipped' || $custom_field_value == 'Out for Delivery' || $custom_field_value == 'Delivered'){ echo 'completed'; } ?>">
            <div class="circle">3</div>
            <div class="label">Shipped</div>
        </div>
        <div class="line"></div>
        <div class="step <?php if($custom_field_value == 'Out for Delivery' || $custom_field_value == 'Delivered'){ echo 'completed'; } ?>">
            <div class="circle">4</div>
            <div class="label">Out for Delivery</div>
        </div>
        <div class="line"></div>
        <div class="step <?php if($custom_field_value == 'Delivered'){ echo 'completed'; } ?>">
            <div class="circle">5</div>
            <div class="label">Delivered</div>
        </div>
    </div>
        <?php
    }
}
