<?php get_header(); ?>
<main class="main">

        <!-- breadcrumb -->
        <div class="site-breadcrumb" style="background: url(<?php echo get_template_directory_uri(); ?>/assets/img/breadcrumb/01.jpg)">
            <div class="container">
                <h2 class="breadcrumb-title">Blog Search</h2>
                <ul class="breadcrumb-menu">
                    <li><a href="<?php echo get_home_url(); ?>">Home</a></li>
                    <li><a href="<?php echo get_home_url(); ?>/blog">Blog</a></li>
                    <li class="active">Search -<?php echo esc_html(get_search_query());?> </li>
                </ul>
            </div>
        </div>
        <!-- breadcrumb end -->


        <!-- blog single area -->
        <div class="blog-single-area pt-120 pb-120">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">
                        <div class="blog-single-wrapper">
                            <div class="blog-latest-news mar-top-50">
                                <div class="car-det-heading">
                                    <h3 class="car-det-head">Blog Search Result</h3>
                                    <div class="heading-divider"></div>
                                </div>
                                <div class="row">
                                    <?php 
	                                    if( have_posts() ) :   while ( have_posts() ) : the_post(); ?>
                                                <div class="col-md-6 col-lg-6">
                                                    <div class="blog-item wow fadeInUp" data-wow-delay="<?php echo $delay; ?>s">
                                                        <div class="blog-item-img">
                                                            <?php if (has_post_thumbnail()) : ?>
                                                                <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title_attribute(); ?>">
                                                            <?php else : ?>
                                                                <img src="<?php echo get_template_directory_uri(); ?>/assets/img/blog/default.jpg" alt="Thumb">
                                                            <?php endif; ?>
                                                        </div>
                                                        <div class="blog-item-info">
                                                            <div class="blog-item-meta">
                                                                <ul>
                                                                    <li>
                                                                        <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>">
                                                                            <i class="far fa-user-circle"></i> By <?php the_author(); ?>
                                                                        </a>
                                                                    </li>
                                                                    <li>
                                                                        <a href="#">
                                                                            <i class="far fa-calendar-alt"></i> <?php echo get_the_date(); ?>
                                                                        </a>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                            <h4 class="blog-title">
                                                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                            </h4>
                                                            <a class="theme-btn" href="<?php the_permalink(); ?>">Read More<i class="fas fa-arrow-right-long"></i></a>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php endwhile;  endif; wp_reset_postdata(); ?>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <aside class="sidebar">
                            <!-- search-->
                            <div class="widget search">
                                <h5 class="widget-title">Search</h5>
                                <?php echo do_shortcode('[ivory-search id="588" title="AJAX Search Form"]'); ?>
                            </div>
                            
                            <div class="widget recent-post">
                                <h5 class="widget-title">Featured stories</h5>
                                
                                <?php
                                // Query the 3 most recent posts
                                $args = array(
                                    'post_type'      => 'post', // Post type
                                    'posts_per_page' => 3,      // Number of posts to display
                                    'orderby'        => 'date', // Order by date
                                    'order'          => 'DESC'  // Latest posts first
                                );
                                
                                $query = new WP_Query($args);
                                
                                if ($query->have_posts()) :
                                    while ($query->have_posts()) :
                                        $query->the_post();
                                        ?>
                                        <div class="recent-post-single">
                                            <div class="recent-post-img">
                                                <?php 
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium', ['alt' => get_the_title()]); 
                                                } else { 
                                                    ?>
                                                    <img src="<?php echo get_template_directory_uri(); ?>/assets/img/blog/default.jpg" alt="Default thumbnail">
                                                    <?php 
                                                } 
                                                ?>
                                            </div>
                                            <div class="recent-post-bio">
                                                <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>
                                                <span><i class="far fa-clock"></i><?php echo get_the_date(); ?></span>
                                            </div>
                                        </div>
                                        <?php
                                    endwhile;
                                    wp_reset_postdata(); // Reset post data
                                else :
                                    echo '<p>No posts found.</p>';
                                endif;
                                ?>

                            </div>
                            <div class="widget sidebar-tag">
                                <h5 class="widget-title">Popular Tags</h5>
                                <div class="tag-list">
                                    <?php
                                     $tags = get_tags();
                                       if ($tags) {
                                           foreach ($tags as $tag) {
                                                echo '<a href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a>';
                                                  }
                                                    } else {
                                                            echo 'No tags found';
                                                            }
                                ?>
                                </div>
                            </div>
                        </aside>
                    </div>
                </div>
            </div>
        </div>
    </main>
<?php get_footer(); ?>
