<?php /* Template Name: Blog */ ?>
<?php get_header(); ?>
<main class="main">

        <!-- breadcrumb -->
        <div class="site-breadcrumb" style="background: url(<?php echo get_template_directory_uri(); ?>/assets/img/breadcrumb/01.jpg)">
            <div class="container">
                <h2 class="breadcrumb-title">News & Videos</h2>
                <ul class="breadcrumb-menu">
                    <li><a href="<?php echo get_home_url(); ?>">Home</a></li>
                    <li class="active">News & Videos</li>
                </ul>
            </div>
        </div>
        <!-- breadcrumb end -->


        <!-- blog single area -->
        <div class="blog-single-area pt-120 pb-120">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">
                        <div class="blog-single-wrapper">
                            <div class="blog-feat">
                                <div class="car-det-heading">
                                    <h3 class="car-det-head">Featured news</h3>
                                    <div class="heading-divider"></div>
                                </div>
                                <div class="blog-single-content">
                                <?php
                                // Query to get the latest post of the post type 'post'
                                $args = array(
                                    'post_type'      => 'post', // Specify post type
                                    'posts_per_page' => 1,     // Get only 1 post
                                );
                                $query = new WP_Query($args);
                            
                                if ($query->have_posts()) :
                                    while ($query->have_posts()) : $query->the_post();
                                        ?>
                                        <div class="blog-thumb-img">
                                            <?php if (has_post_thumbnail()) : ?>
                                                <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title_attribute(); ?>">
                                            <?php else : ?>
                                                <img src="<?php echo get_template_directory_uri(); ?>/assets/img/blog/single.jpg" alt="thumb">
                                            <?php endif; ?>
                                        </div>
                                        <div class="blog-info">
                                            <div class="blog-meta">
                                                <div class="blog-meta-left">
                                                    <ul>
                                                        <li><i class="far fa-user"></i><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"> 
                                                            <?php the_author(); ?>
                                                        </a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                            <div class="blog-details">
                                                <h3 class="blog-details-title mb-20">
                                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                </h3>
                                                <a href="<?php the_permalink(); ?>" class="theme-btn">Read Now<i class="fas fa-arrow-right-long"></i></a>
                                            </div>
                                        </div>
                                        <?php
                                    endwhile;
                                    wp_reset_postdata();
                                else :
                                    ?>
                                    <p>No posts found.</p>
                                <?php endif; ?>
                            </div>

                                <div class=" blog-feat-slider owl-carousel owl-theme">
                                    <?php
                                    // Query to fetch the latest 4 posts of the 'post' post type
                                    $args = array(
                                        'post_type'      => 'post', // Specify post type
                                        'posts_per_page' => 4,      // Limit to 4 posts
                                    );
                                    $query = new WP_Query($args);
                                    
                                    if ($query->have_posts()) :
                                        $delay = 0.25; // Initial animation delay
                                        while ($query->have_posts()) : $query->the_post();
                                            ?>
                                            <div class="blog-item wow fadeInUp" data-wow-delay="<?php echo $delay; ?>s">
                                                <div class="blog-item-img">
                                                    <?php if (has_post_thumbnail()) : ?>
                                                        <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title_attribute(); ?>">
                                                    <?php else : ?>
                                                        <img src="<?php echo get_template_directory_uri(); ?>/assets/img/blog/default.jpg" alt="Thumb">
                                                    <?php endif; ?>
                                                </div>
                                                <div class="blog-item-info">
                                                    <h4 class="blog-title">
                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                    </h4>
                                                    <p>
                                                        <?php echo wp_trim_words(get_the_excerpt(), 20, '...'); ?>
                                                    </p>
                                                </div>
                                            </div>
                                            <?php
                                            $delay += 0.25; // Increment delay for the next item
                                        endwhile;
                                        wp_reset_postdata();
                                    else :
                                        ?>
                                        <p>No posts found.</p>
                                    <?php endif; ?>

                                </div>
                            </div>
                            <div class="blog-latest-news mar-top-50">
                                <div class="car-det-heading">
                                    <h3 class="car-det-head">Latest news</h3>
                                    <div class="heading-divider"></div>
                                </div>
                                <div class="row">
                                    <?php
                                        // Query to fetch the latest 4 posts with pagination
                                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                                        $args = array(
                                            'post_type'      => 'post', // Specify post type
                                            'posts_per_page' => 4,      // Limit to 4 posts per page
                                            'paged'          => $paged, // Current page
                                        );
                                        $query = new WP_Query($args);
                                        
                                        if ($query->have_posts()) :
                                            $delay = 0.25; // Initial animation delay
                                            while ($query->have_posts()) : $query->the_post();
                                                ?>
                                                <div class="col-md-6 col-lg-6">
                                                    <div class="blog-item wow fadeInUp" data-wow-delay="<?php echo $delay; ?>s">
                                                        <div class="blog-item-img">
                                                            <?php if (has_post_thumbnail()) : ?>
                                                                <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title_attribute(); ?>">
                                                            <?php else : ?>
                                                                <img src="<?php echo get_template_directory_uri(); ?>/assets/img/blog/default.jpg" alt="Thumb">
                                                            <?php endif; ?>
                                                        </div>
                                                        <div class="blog-item-info">
                                                            <div class="blog-item-meta">
                                                                <ul>
                                                                    <li>
                                                                        <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>">
                                                                            <i class="far fa-user-circle"></i> By <?php the_author(); ?>
                                                                        </a>
                                                                    </li>
                                                                    <li>
                                                                        <a href="#">
                                                                            <i class="far fa-calendar-alt"></i> <?php echo get_the_date(); ?>
                                                                        </a>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                            <h4 class="blog-title">
                                                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                            </h4>
                                                            <a class="theme-btn" href="<?php the_permalink(); ?>">Read More<i class="fas fa-arrow-right-long"></i></a>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php
                                                $delay += 0.25; // Increment delay for the next item
                                            endwhile;
                                            ?>
                                            <!-- Pagination -->
                                            <div class="pagination-area">
                                                <div aria-label="Page navigation example">
                                                    <ul class="pagination">
                                                        <?php
                                                        // Generate pagination links
                                                        $pagination_links = paginate_links(array(
                                                            'total'        => $query->max_num_pages,
                                                            'current'      => $paged,
                                                            'type'         => 'array',
                                                            'prev_text'    => '<span aria-hidden="true"><i class="far fa-arrow-left"></i></span>',
                                                            'next_text'    => '<span aria-hidden="true"><i class="far fa-arrow-right"></i></span>',
                                                        ));
                                        
                                                        if ($pagination_links) :
                                                            foreach ($pagination_links as $link) :
                                                                // Add 'active' class to the current page link
                                                                $class = strpos($link, 'current') !== false ? 'active' : '';
                                                                echo '<li class="page-item ' . $class . '">' . str_replace('page-numbers', 'page-link', $link) . '</li>';
                                                            endforeach;
                                                        endif;
                                                        ?>
                                                    </ul>
                                                </div>
                                            </div>
                                            <!-- Pagination End -->
                                            <?php
                                            wp_reset_postdata();
                                        else :
                                            ?>
                                            <p>No posts found.</p>
                                        <?php endif; ?>


                                </div>
                                
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <aside class="sidebar">
                            <!-- search-->
                            <div class="widget search">
                                <h5 class="widget-title">Search</h5>
                                <?php echo do_shortcode('[ivory-search id="588" title="AJAX Search Form"]'); ?>
                            </div>
                            <!-- category -->
                            <!--<div class="widget category">-->
                            <!--    <h5 class="widget-title">Category</h5>-->
                            <!--    <div class="category-list">-->
                            <!--        <a href="#"><i class="far fa-arrow-right"></i>Multicar Comparison<span>(10)</span></a>-->
                            <!--        <a href="#"><i class="far fa-arrow-right"></i>Videos<span>(11)</span></a>-->
                            <!--        <a href="#"><i class="far fa-arrow-right"></i>Awards<span>(4)</span></a>-->
                            <!--        <a href="#"><i class="far fa-arrow-right"></i>Auto Shows<span>(7)</span></a>-->
                            <!--        <a href="#"><i class="far fa-arrow-right"></i>Electric Cars<span>(10)</span></a>-->
                            <!--    </div>-->
                            <!--</div>-->
                            <!-- recent post -->
                            <div class="widget recent-post">
                                <h5 class="widget-title">Featured stories</h5>
                                
                                <?php
                                // Query the 3 most recent posts
                                $args = array(
                                    'post_type'      => 'post', // Post type
                                    'posts_per_page' => 3,      // Number of posts to display
                                    'orderby'        => 'date', // Order by date
                                    'order'          => 'DESC'  // Latest posts first
                                );
                                
                                $query = new WP_Query($args);
                                
                                if ($query->have_posts()) :
                                    while ($query->have_posts()) :
                                        $query->the_post();
                                        ?>
                                        <div class="recent-post-single">
                                            <div class="recent-post-img">
                                                <?php 
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium', ['alt' => get_the_title()]); 
                                                } else { 
                                                    ?>
                                                    <img src="<?php echo get_template_directory_uri(); ?>/assets/img/blog/default.jpg" alt="Default thumbnail">
                                                    <?php 
                                                } 
                                                ?>
                                            </div>
                                            <div class="recent-post-bio">
                                                <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>
                                                <span><i class="far fa-clock"></i><?php echo get_the_date(); ?></span>
                                            </div>
                                        </div>
                                        <?php
                                    endwhile;
                                    wp_reset_postdata(); // Reset post data
                                else :
                                    echo '<p>No posts found.</p>';
                                endif;
                                ?>

                            </div>
                            <!-- social share -->
                            <!--<div class="widget social-share">-->
                            <!--    <h5 class="widget-title">Follow Us</h5>-->
                            <!--    <div class="social-share-link">-->
                            <!--        <a href="#"><i class="fab fa-facebook-f"></i></a>-->
                            <!--        <a href="#"><i class="fab fa-twitter"></i></a>-->
                            <!--        <a href="#"><i class="fab fa-dribbble"></i></a>-->
                            <!--        <a href="#"><i class="fab fa-whatsapp"></i></a>-->
                            <!--        <a href="#"><i class="fab fa-youtube"></i></a>-->
                            <!--    </div>-->
                            <!--</div>-->
                            <!-- Recent Post -->
                            <div class="widget sidebar-tag">
                                <h5 class="widget-title">Popular Tags</h5>
                                <div class="tag-list">
                                    <?php
                                     $tags = get_tags();
                                       if ($tags) {
                                           foreach ($tags as $tag) {
                                                echo '<a href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a>';
                                                  }
                                                    } else {
                                                            echo 'No tags found';
                                                            }
                                ?>
                                </div>
                            </div>
                        </aside>
                    </div>
                </div>
            </div>
        </div>
    </main>
<?php get_footer(); ?>
