<?php /* Template Name: Finance */ ?>
<?php get_header();?>

    <main class="main">

        <!-- breadcrumb -->
        <div class="site-breadcrumb" style="background: url(<?php echo get_template_directory_uri(); ?>/assets/img/breadcrumb/01.jpg)">
            <div class="container">
                <h2 class="breadcrumb-title">Financing</h2>
                <ul class="breadcrumb-menu">
                    <li><a href="<?php echo get_home_url(); ?>">Home</a></li>
                    <li class="active">Financing</li>
                </ul>
            </div>
        </div>
        <!-- breadcrumb end -->


        <!-- about area -->
        <?php 
        $financing=get_field('financing');
        ?>
        <div class="about-area py-120 financing">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6">
                        <div class="about-left wow fadeInLeft" data-wow-delay=".25s">
                            <div class="about-img">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/img/about/01.png" alt="">
                            </div>
                            <div class="about-experience">
                                <div class="about-experience-icon">
                                    <i class="flaticon-car"></i>
                                </div>
                                <b>30 Years Of <br> Quality Service</b>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="about-right wow fadeInRight" data-wow-delay=".25s">
                            <div class="site-heading mb-3">
                                <span class="site-title-tagline justify-content-start">
                                    <i class="flaticon-drive"></i> <?php echo $financing['head'];?>
                                </span>
                                <h2 class="site-title">
                                   <?php echo $financing['title'];?>
                                </h2>
                            </div>
                            <p class="about-text">
                                <?php echo $financing['decsription'];?>
                            </p>
                            <div class="about-list-wrapper">
                                <ul class="about-list list-unstyled">
                                    <?php if( have_rows('financing') ): while ( have_rows('financing') ) : the_row();
                                    if( have_rows('text_list') ): while ( have_rows('text_list') ) : the_row();?>
                                        <li><?php echo get_sub_field('items'); ?>
                                        </li>
                                    <?php endwhile; endif;
	                                endwhile; endif;?>
                                </ul>
                            </div>
                                    <a class="theme-btn" href="https://betadev.wordsystech.com/cars/prequalify/"> Get prequalified<i class="fas fa-arrow-right-long"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- about area end -->
      
         <!-- counter area -->
        <div class="counter-area pt-30 pb-30 how-work">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 mx-auto">
                        <div class="site-heading text-center">
                            <span class="site-title-tagline"><i class="flaticon-drive"></i> Work Process</span>
                            <h2 class="site-title">How it  <span>works</span></h2>
                            <div class="heading-divider"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-lg-4">
                        <div class="service-item">
                            <div class="service-img">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/img/service/01.jpg" alt="">
                            </div>
                            <div class="service-icon">
                                <i class="flaticon-screwdriver"></i>
                            </div>
                            <div class="service-content">
                                <h3 class="service-title">
                                    <a href="#">Start with getting prequalified</a>
                                </h3>
                                <p class="service-text">
                                    Fill out a simple form in a few minutes, with no impact on your credit.
                                </p>
                              
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-4">
                        <div class="service-item">
                            <div class="service-img">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/img/service/02.jpg" alt="">
                            </div>
                            <div class="service-icon">
                                <i class="flaticon-gear-1"></i>
                            </div>
                            <div class="service-content">
                                <h3 class="service-title">
                                    <a href="#">Search by your monthly budget</a>
                                </h3>
                                <p class="service-text">
                                    Once you're prequalified, enter your preferred down payment, loan length, and monthly budget to see all the possibilities in your budget.
                                </p>
                              
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-4">
                        <div class="service-item">
                            <div class="service-img">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/img/service/03.jpg" alt="">
                            </div>
                            <div class="service-icon">
                                <i class="flaticon-temperature"></i>
                            </div>
                            <div class="service-content">
                                <h3 class="service-title">
                                    <a href="#">Select an offer on the car you love</a>
                                </h3>
                                <p class="service-text">
                                    Each prequalified offer is unique to the car. Select a car, view your vehicle specific prequalified offers, and take it to your local dealership.
                                </p>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- counter area end -->
           <!-- faq area -->
           <?php
           $faqs=get_field('faqs');
           ?>
        <div class="faq-area py-120">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="faq-right">
                            <div class="site-heading mb-3">
                                <span class="site-title-tagline justify-content-start"><?php echo $faqs['head'];?></span>
                                <h2 class="site-title my-3"><?php echo $faqs['title'];?></h2>
                            </div>
                            <p class="about-text"><?php echo $faqs['description'];?></p>
                            <div class="faq-img mt-3">
                                <img src="<?php echo $faqs['image']['url'];?>" alt="<?php echo $faqs['image']['alt'];?>">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="accordion" id="accordionExample">
                            <div class="accordion-item">
                                <h2 class="accordion-header" id="headingOne">
                                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                        <span><i class="far fa-question"></i></span> How do I get prequalified on Cars.com?
                                    </button>
                                </h2>
                                <div id="collapseOne" class="accordion-collapse collapse show"
                                    aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        You can get prequalified by filling out a simple form here.
                                The form requires you to submit the following information:
                                 Name, e-mail address and phone number
                                  Address and monthly residence payment
                                 Employment details and annual income
                                Trade-in details (if applicable)
                                  Social security number and date of birth (will not affect your credit score)
                                    After submitting the form, you'll be able to see your personalized rate from our network of lenders.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item">
                                <h2 class="accordion-header" id="headingTwo">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                        <span><i class="far fa-question"></i></span> When does my prequalification status expire?
                                    </button>
                                </h2>
                                <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo"
                                    data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                       Your prequalification status expires after 30 days of submitting the prequalification application. After that you can re-submit the application.

                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item">
                                <h2 class="accordion-header" id="headingThree">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseThree" aria-expanded="false"
                                        aria-controls="collapseThree">
                                        <span><i class="far fa-question"></i></span>  Which lender is my rate from?
                                    </button>
                                </h2>
                                <div id="collapseThree" class="accordion-collapse collapse"
                                    aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        You can see the lender details in your prequalification status.

                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item">
                                <h2 class="accordion-header" id="headingFour">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseFour" aria-expanded="false"
                                        aria-controls="collapseFour">
                                        <span><i class="far fa-question"></i></span> What is the difference between pre-qualification and pre-approval?
                                    </button>
                                </h2>
                                <div id="collapseFour" class="accordion-collapse collapse"
                                    aria-labelledby="headingFour" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        An auto loan prequalification is a soft inquiry on your credit report, meaning it doesn't affect your credit score. It typically involves answering a few basic questions about your income, employment, and debt. Based on this information, the lender gives you an estimated range of loan amounts and personalized interest rates you might qualify for your car loan.
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- faq area end -->
          <!-- blog area -->
        <div class="blog-area py-120">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 mx-auto">
                        <div class="site-heading text-center">
                            <span class="site-title-tagline"><i class="flaticon-drive"></i> Our Blog</span>
                            <h2 class="site-title"> <span>News & tips</span> when financing a car</h2>
                            <div class="heading-divider"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php
                    // Define a new WP_Query to fetch the latest blog posts
                    $args = array(
                        'post_type' => 'post',  // Fetch posts of type 'post'
                        'posts_per_page' => 3,  // Adjust the number of posts to display
                    );
                    $query = new WP_Query($args);

                    if ($query->have_posts()) : 
                        while ($query->have_posts()) : $query->the_post(); ?>
                            <div class="col-md-6 col-lg-4">
                                <div class="blog-item wow fadeInUp" data-wow-delay=".25s">
                                    <div class="blog-item-img">
                                        <?php if (has_post_thumbnail()) : ?>
                                            <img src="<?php the_post_thumbnail_url('medium'); ?>" alt="<?php the_title(); ?>">
                                        <?php else : ?>
                                            <img src="<?php echo bloginfo('template_url'); ?>/assets/img/default-thumbnail.jpg" alt="Default Thumbnail">
                                        <?php endif; ?>
                                    </div>
                                    <div class="blog-item-info">
                                        <div class="blog-item-meta">
                                            <ul>
                                                <li><a href="#"><i class="far fa-user-circle"></i> By <?php the_author(); ?></a></li>
                                                <li><a href="#"><i class="far fa-calendar-alt"></i> <?php echo get_the_date(); ?></a></li>
                                            </ul>
                                        </div>
                                        <h4 class="blog-title">
                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                        </h4>
                                        <a class="theme-btn" href="<?php the_permalink(); ?>">Read More<i class="fas fa-arrow-right-long"></i></a>
                                    </div>
                                </div>
                            </div>
                        <?php endwhile; 
                        wp_reset_postdata();
                    else : ?>
                        <p>No blog posts found.</p>
                    <?php endif; ?>

                  
                </div>
            </div>
        </div>
        <!-- blog area end -->
    </main>

<?php get_footer();?>