<?php /* Template Name: Landing Page */ ?>
<?php get_header('landing');?>

<main class="main">
        <?php
        $banner=get_field('banner');
        ?>
        <div class="banner_sec">
            <img src="<?php echo $banner['image']['url'];?>" <?php echo $banner['image']['url'];?>>
            <div class="bannerContent">
                <div class="container">
                    <div class="bannerContentDiv">
                        <h1><?php echo $banner['title'];?></h1>
                        <div class="home-hero__actions">
                             
                            <a class="theme-btn" href="<?php echo $banner['button_link'];?>" >
                            <?php echo $banner['button_name'];?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
        $about=get_field('about');
        ?>
        <div class="py-60 cta-contact">
            <div class="container">
                <div class="cta-cont-in darkbg">
                    <div class="row">
                        <div class="col-lg-6 col-md-12 col-sm-12 col-12">
                            <div class="cont-in-content">
                                <h3><?php echo $about['title'];?></h3>
                                <a class="theme-btn" href="<?php echo $about['button_link'];?>">
        
                                    <?php echo $about['button_name'];?>
        
                                </a>
                                <p><?php echo $about['description'];?></p>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12 col-sm-12 col-12">
                           <div class="cta-img">
                            <img src="<?php echo $about['image']['url'];?>" alt="<?php echo $about['image']['alt'];?>">
                           </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
        <div class="py-60 big-deals bg">
            <div class="container">
                <div class="big-deals-in">
                    <div class="site-heading text-center">
                        <h2 class="site-title">Big deals on wheels</h2>
                        <div class="heading-divider"></div>
                    </div>
                    <div class="big-deals_slider owl-carousel">
                        <?php 
                        // Define a new WP_Query to fetch products
                        $args = array(
                            'post_type'      => 'product',  // Fetch posts of type 'product'
                            'posts_per_page' => -1,         // Display 4 products
                            'post_status'    => 'publish', // Only published products
                        );
                        $query = new WP_Query($args);
                    
                        if ($query->have_posts()) :
                            while ($query->have_posts()) : $query->the_post();
                                global $product; ?>
                                <div class="shop-item">
                                    <div class="shop-item-img">
                                        <?php if ($product->is_on_sale()) : ?>
                                            <span class="shop-item-sale">Avg saving <?php echo wc_format_sale_price($product->get_regular_price(), $product->get_sale_price()); ?> off RRP</span>
                                        <?php endif; ?>
                                        <img src="<?php echo get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>" alt="<?php the_title(); ?>">
                                        <div class="shop-item-meta">
                                            <!--<a href="#" class="add-to-wishlist"><i class="far fa-heart"></i></a>-->
                                            <!--<a href="<?php the_permalink(); ?>"><i class="far fa-eye"></i></a>-->
                                            <!--<a href="<?php echo esc_url($product->add_to_cart_url()); ?>" class="add-to-cart"><i class="far fa-shopping-cart"></i></a>-->
                                        </div>
                                    </div>
                                    <div class="shop-item-info">
                                        <div class="shop-item-rate">
                                            <?php echo wc_get_rating_html($product->get_average_rating()); ?>
                                        </div>
                                        <a href="<?php the_permalink(); ?>">
                                            <h4 class="shop-item-title"><?php the_title(); ?></h4>
                                        </a>
                                        <div class="shop-item-price">
                                            <?php echo $product->get_price_html(); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endwhile;
                            wp_reset_postdata();
                        else : ?>
                            <p><?php _e('No products found', 'text-domain'); ?></p>
                        <?php endif; ?>
                    </div>


                </div>
            </div>
        </div>

        <div class="py-60">
            
                <div class="site-heading text-center">
                    <span class="site-title-tagline"><i class="flaticon-drive"></i> Car Dealers</span>
                    <h2 class="site-title">Best Dealers In <span>Your City</span></h2>
                    <div class="heading-divider"></div>
                </div>
                <div class="darkbg py-60"> 
                    <div class="container">
                        <div class="darksection_panel">
                            <h3>Latest car news</h3>
                            
                            <div class="common_slider owl-carousel">
                                <?php
                            // Define a new WP_Query to fetch the latest blog posts
                            $args = array(
                                'post_type' => 'post',  // Fetch posts of type 'post'
                                'posts_per_page' => -1,  // Adjust the number of posts to display
                            );
                            $query = new WP_Query($args);
        
                            if ($query->have_posts()) : 
                                while ($query->have_posts()) : $query->the_post(); ?>
                                <div class="item">
                                    <div class="common_sliderDiv">
                                        <a href="<?php the_permalink(); ?>" class="common_sliderImg">
                                            <?php if (has_post_thumbnail()) : ?>
                                            <img src="<?php the_post_thumbnail_url('medium'); ?>" alt="<?php the_title(); ?>">
                                        <?php else : ?>
                                            <img src="<?php echo get_template_directory_uri(); ?>/assets2/img/car1.avif">
                                        <?php endif; ?>
                                        </a>
                                        <a class="sliderTitle" href="<?php the_permalink(); ?>">    
                                            <?php the_title(); ?>
                                        </a>
                                        <span class="date"><?php echo get_the_date('jS M Y'); ?></span>
                                    </div>
                                </div>
                                <?php endwhile; 
                        wp_reset_postdata();
                    else : ?>
                        <p>No blog posts found.</p>
                    <?php endif; ?>
                                
                            </div>

                            <a href="<?php echo site_url('/blog') ;?>" class="comparebtn">All News $ Videos</a>
                        </div>

                    </div>
                </div>
        </div>

        <div class="py-60">
            <div class="container">
                <div class="site-heading text-center">
                    <span class="site-title-tagline"><i class="flaticon-drive"></i> Car Dealers</span>
                    <h2 class="site-title">Best Dealers In <span>Your City</span></h2>
                    <div class="heading-divider"></div>
                </div>
                <div> 
                    <div class="darksection_panel">
                        <h3>Latest car news</h3>
                        <div class="common_slider owl-carousel">
                            <?php
                            // Define a new WP_Query to fetch the latest blog posts
                            $args = array(
                                'post_type' => 'post',  // Fetch posts of type 'post'
                                'posts_per_page' => -1,  // Adjust the number of posts to display
                                'order'          => 'ASC',  // Display posts from oldest to newest
                                'orderby'        => 'date', // Order by post date
                            );
                            $query = new WP_Query($args);
        
                            if ($query->have_posts()) : 
                                while ($query->have_posts()) : $query->the_post(); ?>
                                <div class="item">
                                    <div class="common_sliderDiv">
                                        <a href="<?php the_permalink(); ?>" class="common_sliderImg">
                                            <?php if (has_post_thumbnail()) : ?>
                                            <img src="<?php the_post_thumbnail_url('medium'); ?>" alt="<?php the_title(); ?>">
                                        <?php else : ?>
                                            <img src="<?php echo get_template_directory_uri(); ?>/assets2/img/car1.avif">
                                        <?php endif; ?>
                                        </a>
                                        <a class="sliderTitle" href="<?php the_permalink(); ?>">    
                                            <?php the_title(); ?>
                                        </a>
                                        <span class="date"><?php echo get_the_date('jS M Y'); ?></span>
                                    </div>
                                </div>
                                <?php endwhile; 
                        wp_reset_postdata();
                    else : ?>
                        <p>No blog posts found.</p>
                    <?php endif; ?>
                        </div> 
                        <a href="#" class="comparebtn">Compare the best electric cars</a>
                    </div> 
                </div>
            </div>
        </div>
 
        <!-- testimonial area -->
        <div class="testimonial-area bg py-60">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="site-heading"> 
                            <h2 class="site-title">What Our Client <span>Say's</span></h2>
                            <div class="heading-divider"></div>
                        </div>
                    </div>
                </div>
                <?php 
$loop = new WP_Query( array( 
    'post_type' => 'testimonial', 
    'posts_per_page' => 10 // Set a limit for performance reasons, adjust as needed
) ); 
?>
                <div class="testimonial-slider owl-carousel owl-theme">
                     <?php if ( $loop->have_posts() ) : ?>
    <?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
                    <div class="testimonial-single">
                        <div class="testimonial-content">
                            <div class="testimonial-author-img">
                                  <?php the_post_thumbnail(); ?>
                            </div>
                            <div class="testimonial-author-info">
                                <h4>  <?php the_title(); ?></h4>
                                <p><?php the_field('designation'); ?></p>
                            </div>
                        </div>
                        <div class="testimonial-quote">
                            <span class="testimonial-quote-icon"><i class="flaticon-quote"></i></span>
                            <p>
                                  <?php the_content(); ?>
                            </p>
                        </div>
                        <div class="testimonial-rate">
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                        </div>
                    </div>
                   <?php endwhile; ?>
    <?php wp_reset_postdata(); ?>
<?php endif; ?>
                </div>
            </div>
        </div>
        
 

          <!-- car category -->
        <div class="car-category py-60">
            <div class="container">
                <div class="row"> 
                    <div class="col-12">
                        <div class="site-heading"> 
                            <h2 class="site-title">Car By Body <span>Types</span></h2>
                            <div class="heading-divider"></div>
                        </div>
                    </div> 
                </div>
                <div class="row">
                    <?php
                    // Assuming 'body_type' and 'engine_type' are your taxonomies
                    $taxonomies = ['body_type', 'engine_type'];
                    
                    // Loop through each taxonomy
                    foreach ($taxonomies as $taxonomy) {
                        // Get all terms for the taxonomy
                        $terms = get_terms([
                            'taxonomy' => $taxonomy,
                            'hide_empty' => false,
                        ]);
                    
                        if (!empty($terms) && !is_wp_error($terms)) {
                            foreach ($terms as $term) {
                                // Get term meta for image (assuming 'term_image' is the custom field key)
                                $term_image = get_term_meta($term->term_id, 'image', true);
                                $term_image_url = $term_image ? wp_get_attachment_url($term_image) : ''; // Ensure URL is fetched
                                ?>
                                <div class="col-6 col-md-4 col-lg-2">
                                    <a href="<?php echo esc_url(get_term_link($term)); ?>" class="category-item wow fadeInUp" data-wow-delay=".25s">
                                        <div class="category-img">
                                            <?php if ($term_image_url): ?>
                                                <img src="<?php echo esc_url($term_image_url); ?>" alt="<?php echo esc_attr($term->name); ?>">
                                                <!--<?php the_post_thumbnail(); ?>-->
                                            <?php else: ?>
                                                <img src="<?php echo bloginfo('template_url'); ?>/assets/img/default-category.png" alt="Default">
                                            <?php endif; ?>
                                        </div>
                                        <h5><?php echo esc_html($term->name); ?></h5>
                                    </a>
                                </div>
                                <?php
                            }
                        }
                    }
                    ?>

                
                </div>
            </div>
        </div>
        <!-- car category end-->
        <!-- car brand -->
        <div class="car-brand py-60">
            <div class="container">
                <div class="row"> 
                    <div class="col-12">
                        <div class="site-heading"> 
                            <h2 class="site-title">Our Top Quality <span>Brands</span></h2>
                            <div class="heading-divider"></div>
                        </div>
                    </div> 
                </div> 
                <div class="row row-cols-lg-6 row-cols-md-3 row-cols-sm-2 row-cols-1">
                     <?php if( have_rows('brands',7) ): while ( have_rows('brands',7) ) : the_row();
                        if( have_rows('brand_list') ): while ( have_rows('brand_list') ) : the_row();?>
                    <div class="col-6 col-md-3 col-lg-2">
                        <a class="brand-item wow fadeInUp" data-wow-delay=".25s">
                            <div class="brand-img">
                                 <?php $img=get_sub_field('image');?>
                                <img src="<?php echo $img['url'];?>" alt="<?php echo $img['alt'];?>">
                            </div>
                            <h5><?php echo get_sub_field('title'); ?></h5>
                        </a>
                    </div>
                      <?php endwhile; endif;
	                    endwhile; endif;?>
                </div>
            </div>
        </div>
        <!-- car brand end-->


    
 


    </main>

<?php get_footer();?>