<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * @package WooCommerce/Templates
 */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );
?>

<div class="banner innerbanner">
    <img src="<?php echo bloginfo('template_url'); ?>/assets/img/audi-q8-e-tron-2024-oem-1920-400.webp" alt="Cars" />
    <div class="bannerContent">
        <div class="container">
            <h1><?php woocommerce_page_title(); ?></h1>
            <ul class="breadcrumbs">
                <li><a href="<?php echo home_url(); ?>">Home</a></li>
                <li class="active"><a href="#"><?php woocommerce_page_title(); ?></a></li>
            </ul>
        </div>
    </div>   
</div>

<section class="product-listing darkbg">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-12 col-sm-12 col-12">
                <?php echo do_shortcode( '[wpf-filters id=2]' ); ?>
            </div>
            <div class="col-lg-9 col-md-12 col-sm-12 col-12">
               <?php if ( woocommerce_product_loop() ) : ?>
                    <div class="pro-details-right">
                        <div class="row row-cols-lg-3 row-cols-md-2 row-cols-sm-2 row-cols-1">
                            <?php
                            woocommerce_product_loop_start();

                            if ( wc_get_loop_prop( 'total' ) ) {
                                while ( have_posts() ) {
                                    the_post();

                                    /**
                                     * Start custom HTML for product display.
                                     */
                                    ?>
                                    <div class="col product-item">
                                        <div class="product-card">
                                            <div class="product-image">
                                                <a href="<?php the_permalink(); ?>">
                                                    <?php 
                                                    // Display product thumbnail
                                                    woocommerce_template_loop_product_thumbnail(); 
                                                    ?>
                                                </a>
                                                <?php
                                                // Show sale flash if applicable
                                                woocommerce_show_product_loop_sale_flash(); 
                                                ?>
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title">
                                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                </h3>
                                                <div class="product-price">
                                                    <?php 
                                                    // Display product price
                                                    woocommerce_template_loop_price(); 
                                                    ?>
                                                </div>
                                                <div class="product-add-to-cart">
                                                    <a href="<?php the_permalink(); ?>" class="cmnbtn"><span>Book Now</span></a>
                                                    <?php
                                                    // Add to Wishlist functionality
                                                    if ( function_exists( 'YITH_WCWL' ) ) {
                                                        echo do_shortcode( '[yith_wcwl_add_to_wishlist]' );
                                                    }
                                                    ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                                    /**
                                     * End custom HTML for product display.
                                     */
                                }
                            }

                            woocommerce_product_loop_end();
                            ?>
                        </div>
                    </div>
                <?php else : ?>
                    <div class="no-products">
                        <?php do_action( 'woocommerce_no_products_found' ); ?>
                    </div>
                <?php endif; ?>


            </div>
        </div>
    </div>
</section>

<?php
get_footer( 'shop' );
